Skip to content

crypto/chcr: AEAD support and bug fixes

Harsh Jain linux-crypto 3 versions – In review

Get series with b4
b4 am [email protected]

Versions newest first · linked by author and title

  1. v3 Latest10 patches 1 replyIn review
  2. v29 patches 1 replySuperseded
  3. v16 patches 9 repliesSuperseded

Changes in v3 from the cover letter

-Break patch 01 into 2.

Patches in v3 No applies recorded yet

#Subject and filesSizeRepliesApplied
1/10crypto/chcr:Fix memory corruptiondrivers/crypto/chelsio/chcr_algo.h+2 -10 replies
2/10crypto/chcr:Cosmetic changedrivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_algo.h+53 -580 replies
3/10crypto/chcr: Added new structure chcr_wrdrivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_algo.h drivers/crypto/chelsio/chcr_core.h +1 more+140 -1490 replies
4/10crypto/chcr: Fixes Unchecked dereference inside functiondrivers/crypto/chelsio/chcr_algo.c+2 -10 replies
5/10crypto/chcr: Remove dynamic allocationdrivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_crypto.h+45 -320 replies
6/10crypto/chcr: Calculate Reverse round key in setkey callback.drivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_crypto.h+24 -300 replies
7/10crypto/chcr: Adjust Dest. buffer sizedrivers/crypto/chelsio/chcr_algo.c+20 -300 replies
8/10crypto/chcr: Use SHASH_DESC_ON_STACKdrivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_crypto.h+27 -380 replies
9/10crypto/chcr: Move tfm ctx variable to request contextdrivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_crypto.h+17 -180 replies
10/10Add AEAD algos.drivers/crypto/chelsio/Kconfig drivers/crypto/chelsio/chcr_algo.c drivers/crypto/chelsio/chcr_algo.h +3 more+1558 -410 replies

Reviews trailers per patch

1 of 10 patches has a Reviewed-by or Acked-by.

PatchStephan Mueller
1/10
2/10
3/10
4/10
5/10
6/10
7/10
8/10
9/10
10/10R-b

Trailers given in replies are filled; those carried in the patches from earlier versions are outlined with dashes.

Read the v3 thread

Cover letter [PATCH v3 00/10] crypto/chcr: AEAD support and bug fixes

This patch series includes Bug Fixes, performance improvement and support for following AEAD algos. GCM,CCM,RFC4106,RFC4303,authenc(hmac(shaXXX),cbc(aes))

v3:
-Break patch 01 into 2.
v2:
-Replace memcmp to crypto_memneq.
-Handle cryptlen less than authsize.
-Check assoclen and cryptlen passed should not the greater
than src sg list.
-Break patch 02 into 3

Jitendra Lulla (5):
Fix memory corruption done by *((u32 *)dec_key + k) operation. Cosmetic change. Moves get_aes_decrypt_key function to .c file and
declare inline "aes_ks_subword"
crypto/chcr: Added new structure chcr_wr to populate Work Request
Header.
crypto/chcr: Fixes Unchecked dereference inside function crypto/chcr: Remove dynamic allocation
Harsh Jain (5):
crypto/chcr: Calculate Reverse round key in setkey callback. crypto/chcr: Adjust Dest. buffer size
crypto/chcr: Use SHASH_DESC_ON_STACK
crypto/chcr: Move tfm ctx variable to request context Add support for following AEAD algos.

    GCM,CCM,RFC4106,RFC4309,authenc(hmac(shaXXX),cbc(aes)).
 drivers/crypto/chelsio/Kconfig       |    1 +
 drivers/crypto/chelsio/chcr_algo.c   | 2014 +++++++++++++++++++++++++++++-----
 drivers/crypto/chelsio/chcr_algo.h   |  102 +-
 drivers/crypto/chelsio/chcr_core.c   |    8 +-
 drivers/crypto/chelsio/chcr_core.h   |   18 +-
 drivers/crypto/chelsio/chcr_crypto.h |  115 +-
 6 files changed, 1874 insertions(+), 384 deletions(-)
Signature · 1 line
1.8.2.3